Bug 708894 - TabletPCButton parameter is on by default
Summary: TabletPCButton parameter is on by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-30 03:44 UTC by extvia
Modified: 2011-09-09 05:24 UTC (History)
7 users (show)

Fixed In Version: gnome-settings-daemon-3.0.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-23 04:26:15 UTC


Attachments (Terms of Use)

Description extvia 2011-05-30 03:44:14 UTC
Description of problem:
The default mode of "TabletPCButton" parameter setting is "on" in the newly updated xorg-x11-drv-wacom ver.0.11.0-1, rendering the hover right click not working on all tablets. It causes some trouble since Fedora 15 currently does not have a GUI to configure Wacom tablet parameters. Maybe a major block for Linux beginners who have a tablet installed on their system.

Version-Release number of selected component (if applicable):
0.11.0-1, 0.11.0-2

How reproducible:
Confirmed on: Fedora 15, Desktop version and Design Spin. Fresh installed or modificated systems. Lenovo Thinkpad X201t and General Intel P35 platform. X201t On LCD tablets, Wacom Bamboo Fun, Wacom Intuos 4.

Steps to Reproduce:
1.Install Fedora 15
2.Update xorg-x11-drv-wacom to the 0.11.0-1 version.
  
Actual results:
The default mode of "TabletPCButton" parameter setting is "on", instead of "off" in previous versions. Hover right click not working. One has to use xsetwacom command to set "TabletPCButton" parameter back to normal.

Expected results:
The default mode of TabletPCButton setting should be "off", hover right click should be usable by default.

Additional info:

Comment 1 Peter Hutterer 2011-05-30 05:18:18 UTC
is this the driver with the wrong default or gnome?

Comment 2 extvia 2011-05-31 01:12:10 UTC
Thank you for the reply!

I think it is the driver with the wrong default setting.

I haven't tested it on any desktop environment other than Gnome. However, each time I turn off the TabletPCButton parameter using xsetwacom, it will be reverted to "on" state after a reboot. Restarting the gnome-shell itself (Alt+F2+r or logout) doesn't revert the setting. Therefore I guess gnome has nothing to do with this issue.

Additional info:
When I use xsetwacom to set "TabletPCButton" to "off", the parameter reported by using xsetwacom "get" command always returns "TabletPCButton" as "on" state. Even though its actual function has been disabled already.

Comment 3 Peter Hutterer 2011-05-31 01:33:54 UTC
what's the output of "gsettings get org.gnome.settings-daemon.peripherals.wacom tablet-pc-button" and the output of "xinput list-props "device name"" after a reboot?

Comment 4 A. Lok 2011-06-25 20:50:00 UTC
I did have the same problems as extvia. I'm using a Wacom Bamboo and xorg-x11-drv-wacom-0.11.0-1.fc15.x86_64.

My output of "gsettings get org.gnome.settings-daemon.peripherals.wacom
tablet-pc-button":
false

My output of "xinput list-props "Wacom Bamboo stylus"":
Device 'Wacom Bamboo stylus':
	Device Enabled (134):	1
	Coordinate Transformation Matrix (136):	1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
	Device Accel Profile (254):	0
	Device Accel Constant Deceleration (255):	1.000000
	Device Accel Adaptive Deceleration (256):	1.000000
	Device Accel Velocity Scaling (257):	10.000000
	Wacom Tablet Area (264):	0, 0, 14760, 9225
	Wacom Rotation (265):	0
	Wacom Pressurecurve (266):	0, 0, 100, 100
	Wacom Serial IDs (267):	101, 0, 2, 0
	Wacom Capacity (268):	-1
	Wacom Pressure Threshold (269):	27
	Wacom Sample and Suppress (270):	2, 4
	Wacom Enable Touch (271):	1
	Wacom Hover Click (272):	0
	Wacom Enable Touch Gesture (273):	0
	Wacom Touch Gesture Parameters (274):	50, 20, 250
	Wacom Tool Type (275):	"STYLUS" (253)
	Wacom Button Actions (276):	"None" (0), "None" (0), "None" (0), "None" (0), "None" (0), "None" (0), "None" (0), "None" (0), "None" (0), "None" (0), "None" (0), "None" (0), "None" (0), "None" (0), "None" (0), "None" (0)
	Wacom Debug Levels (277):	0, 0


I 'fixed' it by setting the 'tablet-pc-button'-value with gsettings to 'true'.
"gsettings set org.gnome.settings-daemon.peripherals.wacom tablet-pc-button true"
Now it still works after logout/reboot.

Comment 5 Peter Hutterer 2011-07-07 03:21:35 UTC
Reassingning to g-s-d

Comment 6 Fedora Update System 2011-08-12 01:40:56 UTC
gnome-settings-daemon-3.0.1-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-settings-daemon-3.0.1-8.fc15

Comment 7 Fedora Update System 2011-08-12 10:59:08 UTC
Package gnome-settings-daemon-3.0.1-8.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-settings-daemon-3.0.1-8.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gnome-settings-daemon-3.0.1-8.fc15
then log in and leave karma (feedback).

Comment 8 A. Lok 2011-08-15 14:53:43 UTC
Seems to work for me. Tried it with a Fedora 15 live-usb system. On a fresh Fedora system everything works as expected.

After updating to "gnome-settings-daemon-3.0.1-6.fc15.i686" everything still works, only after updating "xorg-x11*" the hover-rightclick doesn't work anymore.

Then updating to "gnome-settings-daemon-3.0.1-8.fc15.i686" makes it work again.

But doesn't this mean that the erroneous behavior is introduced by the "xorg-x11-drv-wacom" package?

Comment 9 Peter Hutterer 2011-08-15 22:05:39 UTC
(In reply to comment #8)
> But doesn't this mean that the erroneous behavior is introduced by the
> "xorg-x11-drv-wacom" package?

yes, wacom fixed this bug in 0.11 but g-s-d still relied on the old setting. now both wacom and g-s-d are fixed.

Comment 10 Fedora Update System 2011-08-23 04:26:10 UTC
gnome-settings-daemon-3.0.1-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-08-25 15:51:45 UTC
gnome-settings-daemon-3.0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-settings-daemon-3.0.3-1.fc15

Comment 12 Fedora Update System 2011-09-09 05:24:14 UTC
gnome-settings-daemon-3.0.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.